# OnAction Someone issued a CTCP ACTION
Parameters
    $0 = source nick
    $1 = source username
    $2 = source host
    $3 = message target
    $4 = action message text
Window
Channels and query windows
Description
This event is triggered when a remote user issues a CTCP ACTION. (The CTCP ACTION is usually triggered by the /me command). The parameters $0-$2 identify the source user. $3 identifies the message target and can be one of the following: - The local user nickname : this is a private CTCP ACTION and is triggered inside a query window. - A channel name : this is a channel CTCP ACTION and is triggered in the channel window. - Any other string : this is either a broadcast CTCP ACTION (sent by a privileged user to a subset of clients) or a sign of the server brain damage :D In this case the event is triggered in the console window. Calling halt in this event stops the message output.

Index, Events

KVIrc 3.4.2 Documentation
Generated by ports-i386 at Sun Mar 7 07:08:54 2010